Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sitemap
Interface Invocation

All Known Implementing Classes:
  InvocationImpl

    public interface Invocation

Method Summary
`void` | `execute()`
`OutputStream` | `getOutputStream()`
`Object` | `getParameter(String name)`
`Map<String,Object>` | `getParameters()`
`String` | `getRequestURI()`
`Throwable` | `getThrowable()`
`boolean` | `hasCompletePipeline()`
`void` | `installAction(String type)`
`void` | `installComponent(String type, Map<String,? extends Object> parameters)`
`void` | `installPipeline(String type, Map<String,? extends Object> parameters)`
`boolean` | `isErrorInvocation()`
`void` | `popSitemapParameters()`
`void` | `pushSitemapParameters(String nodeName, Map<String,? extends Object> sitemapParameters)`
`void` | `reset()`
`URL` | `resolve(String resource)`
`String` | `resolveParameter(String parameter)`
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setParameters(Map<String,Object> parameters)`
`void` | `setThrowable(Throwable throwable)`

Method Detail

### execute

    void execute()
                 throws Exception

  Throws:
    `Exception`

### getOutputStream

    OutputStream getOutputStream()

### getParameter

    Object getParameter(String name)

### getParameters

    Map<String,Object> getParameters()

### getRequestURI

    String getRequestURI()

### getThrowable

    Throwable getThrowable()

### hasCompletePipeline

    boolean hasCompletePipeline()

### installAction

    void installAction(String type)

### installComponent

    void installComponent(String type,
                          Map<String,? extends Object> parameters)

### installPipeline

    void installPipeline(String type,
                         Map<String,? extends Object> parameters)

### isErrorInvocation

    boolean isErrorInvocation()

### reset

    void reset()

### resolve

    URL resolve(String resource)

### setOutputStream

    void setOutputStream(OutputStream outputStream)

### setParameters

    void setParameters(Map<String,Object> parameters)

### setThrowable

    void setThrowable(Throwable throwable)

### pushSitemapParameters

    void pushSitemapParameters(String nodeName,
                               Map<String,? extends Object> sitemapParameters)

### popSitemapParameters

    void popSitemapParameters()

### resolveParameter

    String resolveParameter(String parameter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.